package com.djhk.uav.airspace.mapper;



import com.djhk.uav.airspace.domain.AirplaneApply;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AirplaneMapper {

    /**
     * 查询飞行申请
     *
     * @param id 飞行申请主键
     * @return 飞行申请
     */
    public AirplaneApply selectAirplaneApplyById(Long id);

    /**
     * 查询飞行申请的最新id
     *
     * @return id 飞行申请主键
     */
    public AirplaneApply selectAirplaneApplyId();


    /**
     * 查询飞行申请列表
     * @return 飞行申请集合
     */
    public List<AirplaneApply> selectAirplaneApplyList(AirplaneApply airplaneApply);
    public List<AirplaneApply> selectAirplaneApplyLists(AirplaneApply airplaneApply);

    /**
     * 新增飞行申请
     *
     * @param airplaneApply 飞行申请
     * @return 结果
     */
    public int insertAirplaneApply(AirplaneApply airplaneApply);

    /**
     * 修改飞行申请
     *
     * @param airplaneApply 飞行申请
     * @return 结果
     */
    public int updateAirplaneApply(AirplaneApply airplaneApply);

    /**
     * 删除飞行申请
     *
     * @param id 飞行申请主键
     * @return 结果
     */
    public int deleteAirplaneApplyById(Long id);

    /**
     * 批量删除飞行申请
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAirplaneApplyByIds(Long[] ids);
}
